Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.kernel
Class OpenORBConnector

    java.lang.Object
      |
      +--org.openorb.CORBA.kernel.OpenORBConnector

All Implemented Interfaces:
  ORBConnector

Deprecated. Because of doubts concerning the purpose of the ORBConnector interface in general and in order to simplify the kernel's architecture this class will be removed in future versions of OpenORB (see interface ORBConnector for explanation).

public class OpenORBConnector
extends java.lang.Object
implements ORBConnector

This class is the default OpenORB connector.

Version:
  $Revision: 1.10 $ $Date: 2002/07/16 11:20:52 $
Author:
  Jerome Daniel

Constructor Summary
`OpenORBConnector()` Deprecated.

Method Summary
`void` | `load_kernel(ORB orb, ORBLoader loader)` Deprecated. This operation is used to load the OpenORB kernel.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenORBConnector

    public OpenORBConnector()

  Deprecated.

Method Detail

### load_kernel

    public void load_kernel(ORB orb,
                            ORBLoader loader)

  Deprecated.
  This operation is used to load the OpenORB kernel.

  Depending on the property openorb.server.enable ( default true ) and openorb.client.enable ( default true ) this method instantiates the ServerCPCManager and the ClientCPCMamager. This instantiation is pluggable as it is driven by properties:

  - openorb.server.ServerManagerClass ( default org.openorb.net.ServerManagerImpl )
  - openorb.client.ClientManagerClass ( default org.openorb.net.ClientManagerImpl )
  The interface of the ServerCPCManager is defined by the org.openorb.net.ServerManager interface and by the org.openorb.net.ClientManager interface for the ClientCPCManager respectively.

  The property openorb.dynany.enable (default true) allows to avoid loading the DynAnyFactory if it is not used by the application. This can save you some amount memory.

  The property openorb.client.enable also decides whether to load the initiali references ORBPolicyManager and PolicyCurrent into the ORB.

  Specified by:
    `load_kernel` in interface `ORBConnector`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD